Bug 1308368 - [abrt] fail2ban-server: socket.py:228:meth:error: [Errno 32] Broken pipe
[abrt] fail2ban-server: socket.py:228:meth:error: [Errno 32] Broken pipe
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fail2ban (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8822d7fe8cb6e292e83595bdb40...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 16:34 EST by Mikhail
Modified: 2016-10-31 07:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:43:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (876 bytes, text/plain)
2016-02-14 16:34 EST, Mikhail
no flags Details
File: environ (84 bytes, text/plain)
2016-02-14 16:34 EST, Mikhail
no flags Details

  None (edit)
Description Mikhail 2016-02-14 16:34:32 EST
Description of problem:


Version-Release number of selected component:
fail2ban-server-0.9.2-1.fc22

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python2 -s /usr/bin/fail2ban-client stop
dso_list:       python-libs-2.7.10-4.fc22.x86_64
executable:     /usr/bin/fail2ban-client
kernel:         4.1.6-201.fc22.x86_64
runlevel:       N 3
type:           Python
uid:            0

Truncated backtrace:
socket.py:228:meth:error: [Errno 32] Broken pipe

Traceback (most recent call last):
  File "/usr/bin/fail2ban-client", line 470, in <module>
    if client.start(sys.argv):
  File "/usr/bin/fail2ban-client", line 440, in start
    return self.__processCommand(args)
  File "/usr/bin/fail2ban-client", line 281, in __processCommand
    return self.__processCmd([cmd])
  File "/usr/bin/fail2ban-client", line 185, in __processCmd
    client.close()
  File "/usr/lib/python2.7/site-packages/fail2ban/client/csocket.py", line 55, in close
    self.__csock.sendall(CSPROTO.CLOSE + CSPROTO.END)
  File "/usr/lib64/python2.7/socket.py", line 228, in meth
    return getattr(self._sock,name)(*args)
error: [Errno 32] Broken pipe

Local variables in innermost frame:
self: <socket._socketobject object at 0x7fd309fa8f30>
args: ('<F2B_CLOSE_COMMAND><F2B_END_COMMAND>',)
name: 'sendall'
Comment 1 Mikhail 2016-02-14 16:34:38 EST
Created attachment 1127106 [details]
File: backtrace
Comment 2 Mikhail 2016-02-14 16:34:39 EST
Created attachment 1127107 [details]
File: environ
Comment 3 Orion Poplawski 2016-03-09 16:28:54 EST
Can you reproduce?

Can you see if https://bodhi.fedoraproject.org/updates/FEDORA-2016-10b5fefb0d fixes it?
Comment 4 Fedora End Of Life 2016-07-19 14:43:17 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.